| v_hdmitxss1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XV_HdmiTxSs1 Struct Reference

The XVprocss driver instance data. More...

## Data Fields
XV_HdmiTxSs1_Config | Config
| Hardware configuration. More...
u32 | IsReady
| Device and the driver instance are initialized. More...
u8 | AppMajVer
| Major Version of application used by the driver. More...
u8 | AppMinVer
| Minor Version of application used by the driver. More...
XV_HdmiTxSs1_Log | Log
| A log of events. More...
XV_HdmiTx1 * | HdmiTx1Ptr
| handle to sub-core driver instance More...
XVtc * | VtcPtr
| handle to sub-core driver instance More...
XV_HdmiTxSs1_Callback | ConnectCallback
| Callback for connect event. More...
void * | ConnectRef
| To be passed to the connect callback. More...
XV_HdmiTxSs1_Callback | ToggleCallback
| Callback for toggle event. More...
void * | ToggleRef
| To be passed to the toggle callback. More...
XV_HdmiTxSs1_Callback | BrdgLockedCallback
| Callback for Bridge Locked event interrupt. More...
void * | BrdgLockedRef
| To be passed to the Bridge Unlocked interrupt callback. More...
XV_HdmiTxSs1_Callback | BrdgUnlockedCallback
| Callback for Bridge UnLocked event interrupt. More...
void * | BrdgUnlockedRef
| To be passed to the Bridge Unlocked interrupt callback. More...
XV_HdmiTxSs1_Callback | BrdgOverflowCallback
| Callback for Bridge Overflow event interrupt. More...
void * | BrdgOverflowRef
| To be passed to the Bridge Overflow interrupt callback. More...
XV_HdmiTxSs1_Callback | BrdgUnderflowCallback
| Callback for Bridge Underflow event interrupt. More...
void * | BrdgUnderflowRef
| To be passed to the Bridge Underflow interrupt callback. More...
XV_HdmiTxSs1_Callback | VsCallback
| Callback for Vsync event. More...
void * | VsRef
| To be passed to the Vsync callback. More...
XV_HdmiTxSs1_Callback | StreamDownCallback
| Callback for stream down. More...
void * | StreamDownRef
| To be passed to the stream down callback. More...
XV_HdmiTxSs1_Callback | StreamUpCallback
| Callback for stream up. More...
void * | StreamUpRef
| To be passed to the stream up callback. More...
XV_HdmiTxSs1_Callback | ErrorCallback
| Callback for stream up. More...
void * | ErrorRef
| To be passed to the stream up callback. More...
XV_HdmiTxSs1_LogCallback | LogWriteCallback
| Callback for log write. More...
u32 * | LogWriteRef
| To be passed to the log write callback. More...
XV_HdmiTxSs1_Callback | FrlConfigCallback
| Callback for stream up. More...
void * | FrlConfigRef
| To be passed to the stream up callback. More...
XV_HdmiTxSs1_Callback | FrlFfeCallback
| Callback for stream up. More...
void * | FrlFfeRef
| To be passed to the stream up callback. More...
XV_HdmiTxSs1_Callback | FrlStartCallback
| Callback for stream up. More...
void * | FrlStartRef
| To be passed to the stream up callback. More...
XV_HdmiTxSs1_Callback | FrlStopCallback
| Callback for stream up. More...
void * | FrlStopRef
| To be passed to the stream up callback. More...
XV_HdmiTxSs1_Callback | TmdsConfigCallback
| Callback for stream up. More...
void * | TmdsConfigRef
| To be passed to the stream up callback. More...
XV_HdmiTxSs1_Callback | CedUpdateCallback
| Callback for FRL LTS:P. More...
void * | CedUpdatePRef
| To be passed to FRL LTS:P callback. More...
XV_HdmiTxSs1_Callback | DynHdrMtwCallback
| Callback for Dynamic HDR MTW Start. More...
void * | DynHdrMtwRef
| To be passed to the Dynamic HDR callback. More...
XV_HdmiTxSs1_Callback | DscDecodeFailCallback
| Callback for DSC decode fail. More...
void * | DscDecodeFailRef
| To be passed to DSC decode fail callback. More...
u8 | SamplingRate
| HDMI TX Sampling rate. More...
u8 | IsStreamConnected
| HDMI TX Stream Connected. More...
u8 | IsStreamUp
| HDMI TX Stream Up. More...
u8 | IsStreamToggled
| HDMI TX Stream Toggled. More...
u8 | AudioEnabled
| HDMI TX Audio Enabled. More...
u8 | AudioMute
| HDMI TX Audio Mute. More...
u8 | AudioChannels
| Number of Audio Channels. More...
u8 | EnableHDCPLogging
| HDCP Logging Enabling. More...
u8 | EnableHDMILogging
| HDMI Logging Enabling. More...
XHdmiC_AVI_InfoFrame | AVIInfoframe
| AVI InfoFrame. More...
XHdmiC_AudioInfoFrame | AudioInfoframe
| Audio InfoFrame. More...
XHdmiC_VSIF | VSIF
| Vendor Specific InfoFrame. More...
XHdmiC_DRMInfoFrame | DrmInfoframe
| DRM Infoframe. More...
XV_HdmiTxSs1_HdcpProtocol | HdcpProtocol
| HDCP protocol selected. More...

## Detailed Description

The XVprocss driver instance data.

The user is required to allocate a variable of this type for every XVprocss device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

u8 XV_HdmiTxSs1::AppMajVer

Major Version of application used by the driver.

Referenced by XV_HdmiTxSs1_CfgInitialize(), and XV_HdmiTxSS1_SetAppVersion().

u8 XV_HdmiTxSs1::AppMinVer

Minor Version of application used by the driver.

Referenced by XV_HdmiTxSs1_CfgInitialize(), and XV_HdmiTxSS1_SetAppVersion().

u8 XV_HdmiTxSs1::AudioChannels

Number of Audio Channels.

Referenced by XV_HdmiTxSs1_SetAudioChannels().

u8 XV_HdmiTxSs1::AudioEnabled

HDMI TX Audio Enabled.

Referenced by XV_HdmiTxSS1_StartFRLStream().

XHdmiC_AudioInfoFrame XV_HdmiTxSs1::AudioInfoframe

Audio InfoFrame.

Referenced by XV_HdmiTxSs1_CfgInitialize(), XV_HdmiTxSs1_GetAudioInfoframe(), and XV_HdmiTxSs1_SetAudioChannels().

u8 XV_HdmiTxSs1::AudioMute

HDMI TX Audio Mute.

Referenced by XV_HdmiTxSS1_StartFRLStream().

XHdmiC_AVI_InfoFrame XV_HdmiTxSs1::AVIInfoframe

AVI InfoFrame.

Referenced by XV_HdmiTxSs1_CfgInitialize(), and XV_HdmiTxSs1_GetAviInfoframe().

XV_HdmiTxSs1_Callback XV_HdmiTxSs1::BrdgLockedCallback

Callback for Bridge Locked event interrupt.

Referenced by XV_HdmiTxSs1_SetCallback().

void* XV_HdmiTxSs1::BrdgLockedRef

To be passed to the Bridge Unlocked interrupt callback.

Referenced by XV_HdmiTxSs1_SetCallback().

XV_HdmiTxSs1_Callback XV_HdmiTxSs1::BrdgOverflowCallback

Callback for Bridge Overflow event interrupt.

Referenced by XV_HdmiTxSs1_SetCallback().

void* XV_HdmiTxSs1::BrdgOverflowRef

To be passed to the Bridge Overflow interrupt callback.

Referenced by XV_HdmiTxSs1_SetCallback().

XV_HdmiTxSs1_Callback XV_HdmiTxSs1::BrdgUnderflowCallback

Callback for Bridge Underflow event interrupt.

Referenced by XV_HdmiTxSs1_SetCallback().

void* XV_HdmiTxSs1::BrdgUnderflowRef

To be passed to the Bridge Underflow interrupt callback.

Referenced by XV_HdmiTxSs1_SetCallback().

XV_HdmiTxSs1_Callback XV_HdmiTxSs1::BrdgUnlockedCallback

Callback for Bridge UnLocked event interrupt.

Referenced by XV_HdmiTxSs1_SetCallback().

void* XV_HdmiTxSs1::BrdgUnlockedRef

To be passed to the Bridge Unlocked interrupt callback.

Referenced by XV_HdmiTxSs1_SetCallback().

XV_HdmiTxSs1_Callback XV_HdmiTxSs1::CedUpdateCallback

Callback for FRL LTS:P.

void* XV_HdmiTxSs1::CedUpdatePRef

To be passed to FRL LTS:P callback.

XV_HdmiTxSs1_Config XV_HdmiTxSs1::Config

Hardware configuration.

Referenced by main(), XV_HdmiTxSs1_CfgInitialize(), XV_HdmiTxSs1_DynHdr_Cfg(), XV_HdmiTxSs1_DynHdr_Control(), XV_HdmiTxSs1_DynHdr_DM_Control(), XV_HdmiTxSs1_DynHdr_GetErr(), XV_HdmiTxSs1_DynHdr_GOF_Control(), XV_HdmiTxSs1_RegisterDebug(), XV_HdmiTxSs1_SetDefaultPpc(), XV_HdmiTxSS1_SetHpdTolerance(), XV_HdmiTxSs1_SetPpc(), XV_HdmiTxSs1_SetStream(), XV_HdmiTxSs1_SubcoreInitHdmiTx1(), and XV_HdmiTxSs1_SubcoreInitVtc().

XV_HdmiTxSs1_Callback XV_HdmiTxSs1::ConnectCallback

Callback for connect event.

Referenced by XV_HdmiTxSs1_SetCallback().

void* XV_HdmiTxSs1::ConnectRef

To be passed to the connect callback.

Referenced by XV_HdmiTxSs1_SetCallback().

XHdmiC_DRMInfoFrame XV_HdmiTxSs1::DrmInfoframe

DRM Infoframe.

Referenced by XV_HdmiTxSs1_CfgInitialize(), and XV_HdmiTxSs1_GetDrmInfoframe().

XV_HdmiTxSs1_Callback XV_HdmiTxSs1::DscDecodeFailCallback

Callback for DSC decode fail.

Referenced by XV_HdmiTxSs1_SetCallback().

void* XV_HdmiTxSs1::DscDecodeFailRef

To be passed to DSC decode fail callback.

Scratch pad

Referenced by XV_HdmiTxSs1_SetCallback().

XV_HdmiTxSs1_Callback XV_HdmiTxSs1::DynHdrMtwCallback

Callback for Dynamic HDR MTW Start.

Referenced by XV_HdmiTxSs1_SetCallback().

void* XV_HdmiTxSs1::DynHdrMtwRef

To be passed to the Dynamic HDR callback.

Referenced by XV_HdmiTxSs1_SetCallback().

u8 XV_HdmiTxSs1::EnableHDCPLogging

HDCP Logging Enabling.

Referenced by Info(), and XV_HdmiTxSs1_CfgInitialize().

u8 XV_HdmiTxSs1::EnableHDMILogging

HDMI Logging Enabling.

Referenced by XV_HdmiTxSs1_CfgInitialize().

XV_HdmiTxSs1_Callback XV_HdmiTxSs1::ErrorCallback

Callback for stream up.

void* XV_HdmiTxSs1::ErrorRef

To be passed to the stream up callback.

XV_HdmiTxSs1_Callback XV_HdmiTxSs1::FrlConfigCallback

Callback for stream up.

Referenced by XV_HdmiTxSs1_FrlConfigCallback(), and XV_HdmiTxSs1_SetCallback().

void* XV_HdmiTxSs1::FrlConfigRef

To be passed to the stream up callback.

Referenced by XV_HdmiTxSs1_FrlConfigCallback(), and XV_HdmiTxSs1_SetCallback().

XV_HdmiTxSs1_Callback XV_HdmiTxSs1::FrlFfeCallback

Callback for stream up.

Referenced by XV_HdmiTxSs1_FrlFfeCallback(), and XV_HdmiTxSs1_SetCallback().

void* XV_HdmiTxSs1::FrlFfeRef

To be passed to the stream up callback.

Referenced by XV_HdmiTxSs1_FrlFfeCallback(), and XV_HdmiTxSs1_SetCallback().

XV_HdmiTxSs1_Callback XV_HdmiTxSs1::FrlStartCallback

Callback for stream up.

Referenced by XV_HdmiTxSs1_FrlStartCallback(), and XV_HdmiTxSs1_SetCallback().

void* XV_HdmiTxSs1::FrlStartRef

To be passed to the stream up callback.

Referenced by XV_HdmiTxSs1_FrlStartCallback(), and XV_HdmiTxSs1_SetCallback().

XV_HdmiTxSs1_Callback XV_HdmiTxSs1::FrlStopCallback

Callback for stream up.

Referenced by XV_HdmiTxSs1_FrlStopCallback(), and XV_HdmiTxSs1_SetCallback().

void* XV_HdmiTxSs1::FrlStopRef

To be passed to the stream up callback.

Referenced by XV_HdmiTxSs1_FrlStopCallback(), and XV_HdmiTxSs1_SetCallback().

XV_HdmiTxSs1_HdcpProtocol XV_HdmiTxSs1::HdcpProtocol

HDCP protocol selected.

Referenced by XV_HdmiTxSs1_CfgInitialize().

XV_HdmiTx1* XV_HdmiTxSs1::HdmiTx1Ptr

handle to sub-core driver instance

Referenced by DetailedInfo(), XV_HdmiTxSs1_AudioMute(), XV_HdmiTxSs1_CfgInitialize(), XV_HdmiTxSs1_ClearFrlWrongLtp(), XV_HdmiTxSs1_ClearGcpAvmuteBit(), XV_HdmiTxSs1_ClearGcpClearAvmuteBit(), XV_HdmiTxSs1_DebugInfo(), XV_HdmiTxSs1_DetectHdmi20(), XV_HdmiTxSs1_DynHdr_Control(), XV_HdmiTxSs1_DynHdr_DM_Control(), XV_HdmiTxSs1_DynHdr_GOF_Control(), XV_HdmiTxSs1_FrlStreamStart(), XV_HdmiTxSs1_FrlStreamStop(), XV_HdmiTxSs1_FSyncControl(), XV_HdmiTxSs1_GetAudioFormat(), XV_HdmiTxSs1_GetAuxiliary(), XV_HdmiTxSS1_GetCorePpc(), XV_HdmiTxSs1_GetFrlLanes(), XV_HdmiTxSs1_GetFrlLineRate(), XV_HdmiTxSs1_GetFrlRate(), XV_HdmiTxSs1_GetTmdsClockFreqHz(), XV_HdmiTxSs1_GetTransportMode(), XV_HdmiTxSs1_GetTxFfe(), XV_HdmiTxSs1_GetVideoStream(), XV_HdmiTxSs1_GetVideoStreamType(), XV_HdmiTxSS1_HdmiTx1IntrHandler(), XV_HdmiTxSS1_IsMasked(), XV_HdmiTxSS1_MaskDisable(), XV_HdmiTxSS1_MaskEnable(), XV_HdmiTxSS1_MaskNoise(), XV_HdmiTxSS1_MaskSetBlue(), XV_HdmiTxSS1_MaskSetGreen(), XV_HdmiTxSS1_MaskSetRed(), XV_HdmiTxSs1_ReadEdid(), XV_HdmiTxSs1_ReadEdid_extension(), XV_HdmiTxSs1_ReadEdidSegment(), XV_HdmiTxSs1_RefClockChangeInit(), XV_HdmiTxSs1_RegisterDebug(), XV_HdmiTxSs1_ReportAudio(), XV_HdmiTxSs1_ReportCoreInfo(), XV_HdmiTxSs1_ReportSubcoreVersion(), XV_HdmiTxSs1_ReportTiming(), XV_HdmiTxSs1_SendAuxInfoframe(), XV_HdmiTxSs1_SendCvtemAuxPackets(), XV_HdmiTxSs1_SendGenericAuxInfoframe(), XV_HdmiTxSs1_SetAudioChannels(), XV_HdmiTxSs1_SetAudioFormat(), XV_HdmiTxSS1_SetBackgroundColor(), XV_HdmiTxSs1_SetCustomVrrIf(), XV_HdmiTxSS1_SetDviMode(), XV_HdmiTxSs1_SetExtACR(), XV_HdmiTxSs1_SetFfeLevels(), XV_HdmiTxSs1_SetFrlExtVidCke(), XV_HdmiTxSs1_SetFrlIntVidCke(), XV_HdmiTxSs1_SetFrlLtp(), XV_HdmiTxSs1_SetFrlMaxFrlRate(), XV_HdmiTxSs1_SetFrlWrongLtp(), XV_HdmiTxSs1_SetGcpAvmuteBit(), XV_HdmiTxSs1_SetGcpClearAvmuteBit(), XV_HdmiTxSS1_SetHdmiFrlMode(), XV_HdmiTxSS1_SetHdmiTmdsMode(), XV_HdmiTxSs1_SetIntACR(), XV_HdmiTxSs1_SetSampleFrequency(), XV_HdmiTxSs1_SetScrambler(), XV_HdmiTxSs1_SetStream(), XV_HdmiTxSs1_SetTmdsClockRatio(), XV_HdmiTxSs1_SetVideoIDCode(), XV_HdmiTxSs1_SetVideoStream(), XV_HdmiTxSs1_SetVideoStreamScramblingFlag(), XV_HdmiTxSs1_SetVideoStreamScramblingOverrideFlag(), XV_HdmiTxSs1_SetVrrIf(), XV_HdmiTxSs1_Start(), XV_HdmiTxSS1_StartFRLStream(), XV_HdmiTxSs1_StartFrlTraining(), XV_HdmiTxSs1_StartTmdsMode(), XV_HdmiTxSs1_Stop(), XV_HdmiTxSS1_StopFRLStream(), XV_HdmiTxSs1_StreamStart(), XV_HdmiTxSs1_SubcoreInitHdmiTx1(), XV_HdmiTxSs1_SYSRST(), XV_HdmiTxSs1_TmdsStart(), XV_HdmiTxSs1_TXCore_LRST(), XV_HdmiTxSs1_TXCore_VRST(), XV_HdmiTxSs1_VrrControl(), and XV_HdmiTxSs1_VRST().

u32 XV_HdmiTxSs1::IsReady

Device and the driver instance are initialized.

Referenced by XV_HdmiTxSs1_CfgInitialize().

u8 XV_HdmiTxSs1::IsStreamConnected

HDMI TX Stream Connected.

Referenced by XV_HdmiTxSs1_IsStreamConnected(), XV_HdmiTxSs1_ReadEdid(), XV_HdmiTxSs1_ReadEdid_extension(), XV_HdmiTxSs1_ReadEdidSegment(), XV_HdmiTxSs1_ShowEdid(), and XV_HdmiTxSs1_ShowEdid_extension().

u8 XV_HdmiTxSs1::IsStreamToggled

HDMI TX Stream Toggled.

Referenced by XV_HdmiTxSs1_IsStreamToggled().

u8 XV_HdmiTxSs1::IsStreamUp

HDMI TX Stream Up.

Referenced by main(), XV_HdmiTxSs1_IsStreamUp(), XV_HdmiTxSs1_RegisterDebug(), XV_HdmiTxSs1_ReportSubcoreVersion(), XV_HdmiTxSS1_StartFRLStream(), and XV_HdmiTxSS1_StopFRLStream().

XV_HdmiTxSs1_Log XV_HdmiTxSs1::Log

A log of events.

Referenced by XV_HdmiTxSs1_LogDisplay(), XV_HdmiTxSs1_LogRead(), XV_HdmiTxSs1_LogReset(), and XV_HdmiTxSs1_LogWrite().

XV_HdmiTxSs1_LogCallback XV_HdmiTxSs1::LogWriteCallback

Callback for log write.

Referenced by XV_HdmiTxSs1_LogDisplay(), XV_HdmiTxSs1_LogWrite(), and XV_HdmiTxSs1_SetLogCallback().

u32* XV_HdmiTxSs1::LogWriteRef

To be passed to the log write callback.

Referenced by XV_HdmiTxSs1_LogWrite(), and XV_HdmiTxSs1_SetLogCallback().

u8 XV_HdmiTxSs1::SamplingRate

HDMI TX Sampling rate.

Referenced by XV_HdmiTxSs1_SetSamplingRate(), and XV_HdmiTxSS1_StartFRLStream().

XV_HdmiTxSs1_Callback XV_HdmiTxSs1::StreamDownCallback

Callback for stream down.

Referenced by XV_HdmiTxSs1_SetCallback(), and XV_HdmiTxSS1_StopFRLStream().

void* XV_HdmiTxSs1::StreamDownRef

To be passed to the stream down callback.

Referenced by XV_HdmiTxSs1_SetCallback(), and XV_HdmiTxSS1_StopFRLStream().

XV_HdmiTxSs1_Callback XV_HdmiTxSs1::StreamUpCallback

Callback for stream up.

Referenced by XV_HdmiTxSs1_SetCallback(), and XV_HdmiTxSS1_StartFRLStream().

void* XV_HdmiTxSs1::StreamUpRef

To be passed to the stream up callback.

Referenced by XV_HdmiTxSs1_SetCallback(), and XV_HdmiTxSS1_StartFRLStream().

XV_HdmiTxSs1_Callback XV_HdmiTxSs1::TmdsConfigCallback

Callback for stream up.

Referenced by XV_HdmiTxSs1_SetCallback(), and XV_HdmiTxSs1_TmdsConfigCallback().

void* XV_HdmiTxSs1::TmdsConfigRef

To be passed to the stream up callback.

Referenced by XV_HdmiTxSs1_SetCallback(), and XV_HdmiTxSs1_TmdsConfigCallback().

XV_HdmiTxSs1_Callback XV_HdmiTxSs1::ToggleCallback

Callback for toggle event.

Referenced by XV_HdmiTxSs1_SetCallback().

void* XV_HdmiTxSs1::ToggleRef

To be passed to the toggle callback.

Referenced by XV_HdmiTxSs1_SetCallback().

XV_HdmiTxSs1_Callback XV_HdmiTxSs1::VsCallback

Callback for Vsync event.

Referenced by XV_HdmiTxSs1_SetCallback().

XHdmiC_VSIF XV_HdmiTxSs1::VSIF

Vendor Specific InfoFrame.

Referenced by XV_HdmiTxSs1_CfgInitialize(), and XV_HdmiTxSs1_GetVSIF().

void* XV_HdmiTxSs1::VsRef

To be passed to the Vsync callback.

Referenced by XV_HdmiTxSs1_SetCallback().

XVtc* XV_HdmiTxSs1::VtcPtr

handle to sub-core driver instance

Referenced by XV_HdmiTxSs1_CfgInitialize(), XV_HdmiTxSS1_DisableVrr(), XV_HdmiTxSs1_RegisterDebug(), XV_HdmiTxSs1_ReportCoreInfo(), XV_HdmiTxSs1_ReportSubcoreVersion(), XV_HdmiTxSS1_SetVrrVfpStretch(), XV_HdmiTxSS1_StartFRLStream(), XV_HdmiTxSs1_Stop(), and XV_HdmiTxSs1_SubcoreInitVtc().